﻿Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports Syncfusion.Windows.Forms

Namespace ProgressBarAdv
	Partial Public Class Form1
		Inherits MetroForm
		Public Sub New()
			InitializeComponent()
			Me.comboBoxAdv1.SelectedIndex = 0
			AddHandler timer1.Tick, AddressOf timer1_Tick
		End Sub
		Private Start As Boolean

		Private Sub timer1_Tick(ByVal sender As Object, ByVal e As EventArgs)
			If Start Then
				If Me.progressBarAdv1.Value < 100 Then
					Me.progressBarAdv1.Value += 1
				Else
					progressBarAdv1.Value = 0
				End If
			End If
		End Sub

		Private Sub comboBoxAdv1_SelectedIndexChanging(ByVal sender As Object, ByVal e As Syncfusion.Windows.Forms.Tools.SelectedIndexChangingArgs) Handles comboBoxAdv1.SelectedIndexChanging
			Select Case comboBoxAdv1.SelectedIndex
				Case 0
					'To draw the ProgressBar with constant foreground color
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Constant
				Case 1
					'To draw the ProgressBar with Gradient brush
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Gradient
				Case 2
					'To draw the ProgressBar with multiple gradient brush
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.MultipleGradient
				Case 3
				   'To draw the ProgressBar with vertical tube-like gradient brush
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Tube
				Case 4
					'To draw the ProgressBar with image
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Image
				Case 5
					'To draw the ProgressBar with System color
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.System
				Case 6
					'To draw the ProgressBar with a moving gradient line.
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.WaitingGradient
				Case 7
					'To draw the ProgressBar with Metro style
					Me.progressBarAdv1.ProgressStyle = Syncfusion.Windows.Forms.Tools.ProgressBarStyles.Metro
			End Select

		End Sub

		Private Sub buttonAdv1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles buttonAdv1.Click
			Start = True
		End Sub

		Private Sub buttonAdv2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles buttonAdv2.Click
			Start = False
		End Sub
	End Class
End Namespace
